
From: Nick Piggin <piggin@cyberone.com.au>




 drivers/block/as-iosched.c |    5 ++---
 1 files changed, 2 insertions(+), 3 deletions(-)

diff -puN drivers/block/as-iosched.c~as-even-more-write-batch-tuning drivers/block/as-iosched.c
--- 25/drivers/block/as-iosched.c~as-even-more-write-batch-tuning	2003-06-11 20:25:41.000000000 -0700
+++ 25-akpm/drivers/block/as-iosched.c	2003-06-11 20:25:41.000000000 -0700
@@ -929,13 +929,12 @@ void update_write_batch(struct as_data *
 	if (write_time < 0)
 		write_time = 0;
 
-	if (write_time > batch + (HZ/100) && !ad->write_batch_idled) {
+	if (write_time > batch && !ad->write_batch_idled) {
 		if (write_time > batch * 3)
 			ad->write_batch_count /= 2;
 		else
 			ad->write_batch_count--;
-	} else if (write_time + (HZ/100) < batch
-			&& ad->current_write_count == 0) {
+	} else if (write_time < batch && ad->current_write_count == 0) {
 		if (batch > write_time * 3)
 			ad->write_batch_count *= 2;
 		else

_
